# Changelog 🐧🎵

All notable changes to this project will be documented in this file.

## [0.1.5] - 2023-07-21

### 📚 Documentation

- *(readme)* Add Spotify link
- *(readme)* Update table of contents

### ⚙️ Miscellaneous Tasks

- *(deps)* Bump actions/upload-pages-artifact from 1 to 2

## [0.1.4] - 2023-06-29

### 🚜 Refactor

- *(build)* Use Builder's fmt function to avoid using allocator
- *(build)* Use built-in allocator

### 📚 Documentation

- *(readme)* Add installation instruction for Void Linux
- *(readme)* Simplify the Docker command

## [0.1.3] - 2023-04-19

### 🎵 Features

- *(cd)* Publish the signed source code which includes submodules

### 📚 Documentation

- *(readme)* Add stdout playback example

### ⚙️ Miscellaneous Tasks

- *(ci)* Use Zig 0.10.1 for CI/CD

## [0.1.2] - 2023-04-17

### 🐛 Bug Fixes

- *(docker)* Scan the correct docker image

### 📚 Documentation

- *(preset)* Add the "spooky_manor" preset

### ⚙️ Miscellaneous Tasks

- *(deps)* Bump actions/configure-pages from 1 to 3
- *(deps)* Bump actions/deploy-pages from 1 to 2

## [0.1.1] - 2023-04-17

### 📚 Documentation

- *(readme)* Add submodule update step for building from source
- *(readme)* Add installation instructions for Arch Linux

## [0.1.0] - 2023-04-17

### 🎵 Features

- *(docs)* Add a man page

### 🚜 Refactor

- *(ci)* Remove unnecessary node options

### 📚 Documentation

- *(readme)* Add demo link
- *(readme)* Add motivation section
- *(website)* Add demo link to website

### 🎨 Styling

- *(readme)* Set the alignment to center for demo link
- *(readme)* Center the demo text

## [0.1.0-rc.4] - 2023-04-15

### 🎵 Features

- *(website)* Add a landing page

### 🚜 Refactor

- *(ci)* Remove unnecessary OS from build matrixes
- *(lib)* Extract reusable modules as packages

### 📚 Documentation

- *(lib)* Support auto-generation of documentation with a build flag
- *(readme)* Mention the API documentation
- *(readme)* Add documentation build badge

### 🎨 Styling

- *(readme)* Use HTML for the badges
- *(readme)* Fix centering the badges
- *(readme)* Center the badges

### ⚙️ Miscellaneous Tasks

- *(ci)* Fix the grammar for the build job
- *(pages)* Rename deploy step
- *(pages)* Add workflow for deploying documentation

## [0.1.0-rc.3] - 2023-04-15

### 🐛 Bug Fixes

- *(cd)* Use windows specific commands

### ⚙️ Miscellaneous Tasks

- *(changelog)* Remove author names from changelog

## [0.1.0-rc.2] - 2023-04-15

### 🎵 Features

- *(cd)* Add different build targets

<!-- generated by git-cliff -->
